Class | Ma::BaseController
In: | app/controllers/ma/base_controller.rb
Parent: | ApplicationController

### Methods

journalist_required subsite

### Public Instance methods

journalist_required()

[Source]

        # File app/controllers/ma/base_controller.rb, line 4
     4:   def journalist_required
     5:     unless (logged_in? && (current_user.is_staff? || current_user.has_ma_access?))
     6:       if current_user.is_a?(DepartmentMember)
     7:         redirect_to admin_path()
     8:       else
     9:         flash[:notice] = t('site.info_acceso_agencia')
    10:         ma_access_denied
    11:       end
    12:     end
    13:   end

subsite()

[Source]

        # File app/controllers/ma/base_controller.rb, line 15
    15:   def subsite
    16:     "agencia"
    17:   end

[Validate]